From b0a10ca598c0936f68ec90c88166d474fed1bdd8 Mon Sep 17 00:00:00 2001
From: Cerrato Renaud <r.cerrato@til-technologies.fr>
Date: Mon, 11 Mar 2013 15:34:30 +0100
Subject: [PATCH] dfu disable state fix

---
 drivers/usb/gadget/dfu.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/drivers/usb/gadget/dfu.c b/drivers/usb/gadget/dfu.c
index e051879..e4af567 100644
--- a/drivers/usb/gadget/dfu.c
+++ b/drivers/usb/gadget/dfu.c
@@ -514,14 +514,12 @@ static void dfu_disable(struct usb_function *f)
 	struct f_dfu		*dfu = func_to_dfu(f);
 
 	switch (dfu->dfu_state) {
+	case DFU_STATE_dfuIDLE:
 	case DFU_STATE_appDETACH:
 		dfu->dfu_state = DFU_STATE_dfuIDLE;
 		break;
-	case DFU_STATE_dfuMANIFEST_WAIT_RST:
-		dfu->dfu_state = DFU_STATE_appIDLE;
-		break;
 	default:
-		dfu->dfu_state = DFU_STATE_appDETACH;
+		dfu->dfu_state = DFU_STATE_appIDLE;
 		break;
 	}
 
-- 
1.7.2.5

